<?xml version="1.0" encoding="UTF-8" ?>
<jsp:root
	xmlns:jsp="http://java.sun.com/JSP/Page"
	xmlns:og="hybs-taglib.tld"
	version="2.0">
<jsp:directive.page language="java" contentType="text/html; charset=UTF-8" />

<og:head headType="result" >
	<script type="text/javascript" src="http://maps.google.com/maps/api/js?sensor=false"><!-- --></script>

<script type="text/javascript">
	window.onload = load;
	var map;
	function load(){
		// 住所から座標を取得
		var geocoder = new google.maps.Geocoder();
		geocoder.geocode({
			'address': '{@POSTCODE}{@JYUSYO}{@TEL}{@JIGYO_KANJI}'
		}, setMap);
	}
	
	function setMap(result, status){
		if(status == google.maps.GeocoderStatus.OK){
			var latlng = result[0].geometry.location;
			// ｽｹｰﾙの指定
			var scale	= Number("{@SCALE}");
			var myOptions = {
				zoom: scale,
				center: latlng,
				mapTypeId: google.maps.MapTypeId.ROADMAP
			};
			map = new google.maps.Map(document.getElementById("map"),myOptions)
		}else{
			alert('取得できませんでした');
		}
	}
</script>
</og:head>

<og:comment
	system	= "GF:エンジンサンプル"
	pgid	= "TEST02"
	title	= "ｴﾃﾞｨｯﾄ設定ﾃｽﾄ"
	date	= "2008/10/27"
	author	= "Hiroki.Nakamura"
	text	= ""
	version	= "001"
/>


<!-- ワーニングメッセージです。ここでは、登録完了のメッセージを表示します。 -->
<og:errorMessage command="{@command}" clear="{@clear}" displayMsg="{@displayMsg}" />

<!-- 取り消しボタンが押された時に必要です。 -->
<og:entry command="{@command}" />

<div id="map" style="position:relative;left:30px; top:30px; width:700px;height:500px"></div>

<!--
<jsp:directive.include file="/jsp/common/htmlend.jsp" />
-->
</jsp:root>

